Description

http://www.ultimatepp.org/forum/index.php?t=msg&#38;goto=35497

I see two possible solutions:

    1. Add brc.sh ( source:trunk/uppbox/UppBuilder/brc.sh ) into the generated makefile and add some support for it

    2. Generate the makefile using UppBuilder instead of TheIDE

The second option seems more risky, so I'd prefer the first. The makefile generator should support this anyways...

Any comments?

History

#1 - 02/23/2012 11:08 PM - Sender Ghost

I see two possible solutions

There is another one:

    -  Building umk package (with generated or universal makefile).

    -  Generating proper build method (.bm) file.

    -  Then using umk to build U++ software, including TheIDE.

Also, consider adding umk as deb package. In this case, generated build method file could be placed to "/usr/local/share/umk" directory. There is also

possibility to generate build method file(s) (so-called auto-setup from TheIDE) by using umk.

#2 - 02/23/2012 11:43 PM - Jan Dolinár

Yes, I forgot about using umk. It is workaround as well, but cleaner than my idea #2.

Also, consider adding umk as deb package

It already exists ;) Plus umk is added into the theide* packages.

#3 - 02/24/2012 12:48 AM - Sender Ghost

Jan Dolinár wrote:

It already exists ;) Plus umk is added into the theide* packages.

Good to know, thanks.
#4 - 02/24/2012 11:37 AM - Miroslav Fidler

I think the simple and corrent solution is to make Export aware about .brc - which should be quite easy (it is enough to do the same brc step as normal

make, then include processed file in the export).

#5 - 02/24/2012 02:39 PM - Jan Dolinár

Miroslav Fidler wrote:

I think the simple and corrent solution is to make Export aware about .brc - which should be quite easy (it is enough to do the same brc step as

normal make, then include processed file in the export).

number_of_solutions == number_of_people + 1 :D

If it is OK to export generated code, than I can implement it. It is the simplest solution and probably least error prone.

#6 - 02/26/2012 05:50 PM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Jan Dolinár

Hopefully fixed, IMO latest tarball now compiles just fine...

#7 - 05/12/2012 12:59 PM - Miroslav Fidler

Can we close this?

#8 - 05/12/2012 03:19 PM - Jan Dolinár

- Status changed from Ready for QA to Approved

Yes, it works well, thanks!
